%define major 1
%define libname %mklibname %name %major
%define develname %mklibname -d %name

Summary:	Gerber file viewer
Name: 		gerbv
Version:	2.1.0
Release: 	%mkrel 2
Source:		http://prdownloads.sourceforge.net/%{name}/%{name}-%{version}.tar.gz
Patch0:		gerbv-2.1.0-fix-str-fmt.patch
URL:		http://gerbv.sourceforge.net
License:	GPLv2+
Group: 		Graphics
BuildRoot:    	%{_tmppath}/%{name}-root
BuildRequires:	gtk+2-devel glib2-devel pango-devel atk-devel freetype2-devel
Suggests:	%name-examples = %version

%description
Gerbv is a viewer for Gerber files. Gerber files are generated from PCB CAD 
system and sent to PCB manufacturers as basis for the manufacturing process.

%package examples
Summary:	Gerber file examples for gerbv
Requires:	gerbv
Group: 		Graphics

%description examples
Example files for gerbv.

%package -n %libname
Summary:	Libraries for gerbv
Group:		Graphics

%description -n %libname
Libraries for gerbv.

%package -n %develname
Summary:	Development files for gerbv
Group:		Graphics
Requires:	%{libname} = %{version}
Provides:	%{name}-devel = %{version}

%description -n %develname
Development files for gerbv

%prep
%setup -q
%patch0 -p0

%build
%configure2_5x --enable-exportpng --enable-gtk2 --disable-static --disable-update-desktop-database
%make

%install
rm -fr %buildroot
%makeinstall_std

cp -fr doc example %buildroot%_datadir/%name

%clean
rm -Rf $RPM_BUILD_ROOT

%files 
%defattr(-,root,root)
%doc AUTHORS ChangeLog COPYING NEWS README TODO
%{_bindir}/gerbv
%{_mandir}/man1/gerbv.*
%dir %{_datadir}/gerbv
%{_datadir}/gerbv/doc
%{_datadir}/gerbv/scheme
%_iconsdir/hicolor/*/*/*
%_datadir/applications/*.desktop

%files examples
%defattr(-,root,root)
%{_datadir}/gerbv/example

%files -n %libname
%defattr(-,root,root)
%_libdir/*.so.%{major}*

%files -n %develname
%defattr(-,root,root)
%_libdir/*.so
%_libdir/*.la
%_libdir/pkgconfig/*.pc
%_includedir/*


%changelog
* Fri Sep 11 2009 Thierry Vignaud <tvignaud@mandriva.com> 2.1.0-2mdv2010.0
+ Revision: 437670
- rebuild

* Sat Dec 27 2008 Funda Wang <fundawang@mandriva.org> 2.1.0-1mdv2009.1
+ Revision: 319961
- new version 2.1.0

* Thu Jul 24 2008 Thierry Vignaud <tvignaud@mandriva.com> 2.0.0-3mdv2009.0
+ Revision: 245941
- rebuild

* Thu Feb 07 2008 Funda Wang <fundawang@mandriva.org> 2.0.0-1mdv2008.1
+ Revision: 163358
- New version 2.0.0

* Wed Jan 02 2008 Olivier Blin <oblin@mandriva.com> 1.0.1-2mdv2008.1
+ Revision: 140735
- restore BuildRoot

  + Thierry Vignaud <tvignaud@mandriva.com>
    - kill re-definition of %%buildroot on Pixel's request
    - import gerbv


* Fri Jun 09 2006 Stew Benedict <sbenedict@mandriva.com> 1.0.1-2mdv2007.0
- rebuild, P0 for gcc4

* Mon May 02 2005 Stew Benedict <sbenedict@mandriva.com> 1.0.1-1mdk
- 1.0,1

* Thu Dec 16 2004 Stew Benedict <sbenedict@mandrakelinux.com>> 0.16-1mdk
- 1st Mandrakelinux release
- adapted from FC2 package by Wojciech Kazubski
